Skip to content

Recon act ​

INFO

Каждый ответ приходит в общем конверте — code, message, messages, status_code, time — а полезная нагрузка лежит в data. Таблицы ниже описывают содержимое data.

GET /recon-act/get-by-id/{id} ​

Get a reconciliation act by its _id.

Параметры пути

ПараметрТипОбязательноОписание
idstringДа

Тело запроса

Тело запроса не требуется.

Ответ

ПолеТипОписание
_idstring
numberstring
organization_idstring
customer_idstring
supplier_idstring
employee_idstring
person_idstring
typestringДопустимые значения: debt, credit
balance_actionstringДопустимые значения: separated, merged
statestringДопустимые значения: new, done, canceled
amountnumber
currency_idstring
after_balanceobjectPer-currency balance snapshot map.
invoiceobject
invoice._idstring
invoice.numberstring
payment_typeobject
payment_type._idstring
payment_type.namestring
created_atstring (date-time)
updated_atstring (date-time)
json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": {
    "_id": "string",
    "number": "string",
    "organization_id": "string",
    "customer_id": "string",
    "supplier_id": "string",
    "employee_id": "string",
    "person_id": "string",
    "type": "debt",
    "balance_action": "separated",
    "state": "new",
    "amount": 0,
    "currency_id": "string",
    "after_balance": {},
    "invoice": {
      "_id": "string",
      "number": "string"
    },
    "payment_type": {
      "_id": "string",
      "name": "string"
    },
    "created_at": "2025-05-01T12:00:00Z",
    "updated_at": "2025-05-01T12:00:00Z"
  },
  "time": "2025-05-01T12:00:00Z"
}

POST /recon-act/get-all ​

Get reconciliation acts for a customer / supplier / employee / person within a date range.

Тело запроса

ПолеТипОбязательноОписание
pagenumberДаПо умолчанию: 1
limitnumberДаПо умолчанию: 20
organization_idstringНет
customer_idstringНетOne of customer_id / supplier_id / employee_id / person_id must be set.
supplier_idstringНет
employee_idstringНет
person_idstringНет
date_fromstring (date-time)Нет
date_tostring (date-time)Нет
statesstring[]Нет
localestringНетДопустимые значения: uz, ru, en, kk, ky, tg
json
{
  "page": 1,
  "limit": 20,
  "organization_id": "64b7f4d9e2b3b6a0b7c5d80a",
  "customer_id": "string",
  "supplier_id": "string",
  "employee_id": "string",
  "person_id": "string",
  "date_from": "2025-05-01T12:00:00Z",
  "date_to": "2025-05-01T12:00:00Z",
  "states": [
    "new"
  ],
  "locale": "uz"
}

Ответ

ПолеТипОписание
dataany[]
before_balanceobjectPer-currency balance at date_from.
after_balanceobjectPer-currency balance at date_to.
json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": {
    "data": [],
    "before_balance": {},
    "after_balance": {}
  },
  "time": "2025-05-01T12:00:00Z"
}

POST /recon-act/get-all/export ​

Export reconciliation acts as XLSX/CSV. Returns a download path.

Тело запроса

ПолеТипОбязательноОписание
pagenumberДаПо умолчанию: 1
limitnumberДаПо умолчанию: 20
organization_idstringНет
customer_idstringНетOne of customer_id / supplier_id / employee_id / person_id must be set.
supplier_idstringНет
employee_idstringНет
person_idstringНет
date_fromstring (date-time)Нет
date_tostring (date-time)Нет
statesstring[]Нет
localestringНетДопустимые значения: uz, ru, en, kk, ky, tg
ext_typestringДаДопустимые значения: xlsx, csv
json
{
  "page": 1,
  "limit": 20,
  "organization_id": "64b7f4d9e2b3b6a0b7c5d80a",
  "customer_id": "string",
  "supplier_id": "string",
  "employee_id": "string",
  "person_id": "string",
  "date_from": "2025-05-01T12:00:00Z",
  "date_to": "2025-05-01T12:00:00Z",
  "states": [
    "new"
  ],
  "locale": "uz",
  "ext_type": "xlsx"
}

Ответ

json
{
  "code": 0,
  "message": "Success",
  "status_code": 200,
  "data": "string",
  "time": "2025-05-01T12:00:00Z"
}

Эта страница сгенерирована из спецификации OpenAPI.

Bito 2.0 Integration API